summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2016-05-05 18:19:16 (GMT)
committerBrad King <brad.king@kitware.com>2016-05-05 18:42:12 (GMT)
commitf4bd9d43b8b38441a85ba952460afcae383fd695 (patch)
tree6270748d56f54e41b8b3a7e8ae055b654e638fc2
parent7eb7a189631074567e6a803f6dd057e90800e186 (diff)
downloadCMake-f4bd9d43b8b38441a85ba952460afcae383fd695.zip
CMake-f4bd9d43b8b38441a85ba952460afcae383fd695.tar.gz
CMake-f4bd9d43b8b38441a85ba952460afcae383fd695.tar.bz2
Add script to update Expat from upstream
-rwxr-xr-xUtilities/Scripts/update-expat.bash49
1 files changed, 49 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-expat.bash b/Utilities/Scripts/update-expat.bash
new file mode 100755
index 0000000..8a2a5fe
--- /dev/null
+++ b/Utilities/Scripts/update-expat.bash
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="expat"
+readonly ownership="Expat Upstream <kwrobot@kitware.com>"
+readonly subtree="Utilities/cmexpat"
+readonly repo="http://git.code.sf.net/p/expat/code_git"
+readonly tag="master"
+readonly shortlog=false
+readonly paths="
+ expat/lib/asciitab.h
+ expat/lib/expat.h
+ expat/lib/xmltok.h
+ expat/lib/internal.h
+ expat/lib/xmlrole.h
+ expat/lib/iasciitab.h
+ expat/lib/latin1tab.h
+ expat/lib/xmlrole.c
+ expat/lib/utf8tab.h
+ expat/lib/nametab.h
+ expat/lib/ascii.h
+ expat/lib/xmltok_impl.h
+ expat/lib/xmltok_ns.c
+ expat/lib/winconfig.h
+ expat/lib/expat_external.h
+ expat/lib/xmltok.c
+ expat/lib/xmlparse.c
+ expat/lib/xmltok_impl.c
+ expat/README
+ expat/ConfigureChecks.cmake
+ expat/CMakeLists.txt
+ expat/expat_config.h.cmake
+ expat/COPYING
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ fromdos expat/ConfigureChecks.cmake expat/CMakeLists.txt expat/expat_config.h.cmake
+ chmod a-x expat/ConfigureChecks.cmake expat/CMakeLists.txt expat/expat_config.h.cmake
+ mv expat/* .
+ rmdir expat
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"
ass='column5'>\ \ \ \ | |_|_|_|/ / / / / / / |/| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * commit '13c9b3768e6193db89d06faf59194b77d7747f45': Address CMake and deprecated API build failures from monotonic timer patch. | * | | | | | | | | | Address CMake and deprecated API build failures from monotonic timer patch.Quincey Koziol2020-07-032-2/+2 |/ / / / / / / / / / * | | | | | | | | | Merge pull request #2672 in HDFFV/hdf5 from ~LRKNOX/hdf5_lrk:develop to developLarry Knox2020-07-021-1/+1 |\ \ \ \ \ \ \ \ \ \ | |_|_|/ / / / / / / |/| | | | | | | | | | | | | | | | | | | | | | | | | | | | | * commit '870e3ba3f45e90a43ea824d67cc8562aa63a3f6f': Add missing '"'. | * | | | | | | | | Add missing '"'.Larry Knox2020-07-021-1/+1 |/ / / / / / / / / * | | | | | | | | Merge pull request #2671 in HDFFV/hdf5 from ~BYRN/hdf5_adb:develop to developAllen Byrne2020-07-026-224/+222 |\ \ \ \ \ \ \ \ \ | | |/ / / / / / / | |/| | | | | | | | | | | | | | | | | | | | | | | | | * commit '88e8597cdef826c1087e4ec1383657a91dcb2a43': Small changes discovered with mingw and windows defines moved | * | | | | | | | Small changes discovered with mingw and windows defines movedAllen Byrne2020-07-026-224/+222 | | | | | | | | | * | | | | | | | | Merge pull request #2670 in HDFFV/hdf5 from ~LRKNOX/hdf5_lrk:develop to developLarry Knox2020-07-023-1/+20 |\ \ \ \ \ \ \ \ \ | |/ / / / / / / / |/| | | | | | | | | | | | | | | | | | | | | | | | | | * commit 'fc69de0e8ae30e80c1c3c542b156226a75444525': Lib files needed are now copied to a subdirectory in the java/test directory, and on Macs the loader path for libhdf5.xxxs.so is changed in the temporary copy of libhdf5_java.dylib. Fix for HDFFV-11063 | * | | | | | | | Lib files needed are now copied to a subdirectory in the java/testLarry Knox2020-07-023-1/+20 |/ / / / / / / / | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | directory, and on Macs the loader path for libhdf5.xxxs.so is changed in the temporary copy of libhdf5_java.dylib. Fix for HDFFV-11063 * | | | | | | | Merge pull request #2668 in HDFFV/hdf5 from monotonic_timer to developQuincey Koziol2020-07-0223-909/+1817 |\ \ \ \ \ \ \ \ | |/ / / / / / / |/| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * commit '7371c83f9777b34b31909e99e052398b93c31bed': Remove non-existent example Add new source files to CMake build Clean up warnings va_arg -> HDva_arg Refactor code to remove remaining checks for H5_HAVE_GETTIMEOFDAY scattered around in various places. Also clean up iopipe.c. Correct mistake in H5_now_usec calculation for clock_gettime. Remove detection for mach/mach/time.h, since we're no longer using the time routines from that header. Update H5_now_usec to prefer using clock_gettime. Changes to make timers within the library monotonic. | * | | | | | | Remove non-existent exampleQuincey Koziol2020-06-301-2/+2 | | | | | | | | | * | | | | | | Merge remote-tracking branch 'origin/develop' into monotonic_timerQuincey Koziol2020-06-303-7/+17 | |\ \ \ \ \ \ \ | * | | | | | | | Add new source files to CMake buildQuincey Koziol2020-06-282-0/+2 | | | | | | | | | | * | | | | | | | Clean up warningsQuincey Koziol2020-06-287-54/+53 | | | | | | | | | | * | | | | | | | va_arg -> HDva_argQuincey Koziol2020-06-271-1/+1 | | | | | | | | | | * | | | | | | | Merge remote-tracking branch 'origin/develop' into monotonic_timerQuincey Koziol2020-06-273-54/+134 | |\ \ \ \ \ \ \ \ | * | | | | | | | | Refactor code to remove remaining checks for H5_HAVE_GETTIMEOFDAY scattered ↵Quincey Koziol2020-06-276-328/+190 | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | around in various places. Also clean up iopipe.c. | * | | | | | | | | Merge remote-tracking branch 'origin/develop' into monotonic_timerQuincey Koziol2020-06-26